<?php
/**
 * Represents the view for the administration dashboard.
 *
 * This includes the header, options, and other information that should provide
 * The User Interface to the end user.
 *
 * @package   AirTightForm
 * @author    Anurag Singh <anurag722@hotmail.com>
 * @license   GPL-2.0+
 * @link      http://example.com
 * @copyright 2014 Your Name or Company Name
 */
?>

<div class="wrap">
	
	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>
	<hr>
	<div class="row">
		<span>
			This plugin uses the default wordpress SMTP server settings to send mail. For custom SMTP settings, provide the details here.
		</span>
	</div>
	<hr>
	<form class="smtp_form" id="smtp_form">
		<div class="row">
			<div class="col-xs-2">
				<label>SMTP Host</label>
			</div>
			<div class="col-xs-6">
				<input class="form-control smtp_host" id="smtp_host" name="smtp_host">
			</div>
		</div>

		<div class="row">
			<div class="col-xs-2">
				<label>SMTP Port</label>
			</div>
			<div class="col-xs-6">
				<input class="form-control smtp_port" id="smtp_port" name="smtp_port">
			</div>
		</div>

		<div class="row">
			<div class="col-xs-2">
				<label>SMTP Username</label>
			</div>
			<div class="col-xs-6">
				<input class="form-control smtp_username" id="smtp_username" name="smtp_username">
			</div>
		</div>


		<div class="row">
			<div class="col-xs-2">
				<label>SMTP Password</label>
			</div>
			<div class="col-xs-6">
				<input type="password" class="form-control smtp_password" id="smtp_password" name="smtp_password">
			</div>
		</div>

			<!-- <div class="row">
				<div class="col-xs-2">
					<label>SMTP Auth</label>
				</div>
				<div class="col-xs-6">
					<input type="checkbox" name="smtp_auth" class="form-control smtp_auth" id="smtp_auth">
				</div>
			</div>

			<div class="row">
				<div class="col-xs-2">
					<label>SMTP Secure</label>
				</div>
				<div class="col-xs-6">
					<input type="checkbox" name="smtp_auth" class="form-control smtp_auth" id="smtp_auth">
				</div>
			</div> -->
			<div class="row">
				<a href="#" class="button button-primary button-large save_changes" id="save_changes">Save Changes</a>
				<a href="#" class="button button-primary button-large reset" id="reset">Reset</a>
			</div>
		</form>

	</div>