(function ( $ ) {
	"use strict";

	$(function () {

		// Place your public-facing JavaScript here
		$(document).ready(function(){
			var id = $(".load_widget").attr("id");
			console.log(id);
			// get stylesheets
			if(typeof id != "undefined"){
				var sheet = {
					action: 'atf_view_style',
					id: id,
					'Content-Type': 'text/css'
				}
				$.post(ajaxurl, sheet).success(function(response){
					response = response.substring(0, response.length - 1);
					$('head').append(response);
				});

				var data = {
					action: 'atf_view',
					id: id
				};
				$.post(ajaxurl, data)
				.success(function(response){
					response = response.substring(0, response.length - 1);
					$(".load_widget").append(response);
					form_view_ctr();
					page_load();
				});
			}
		});
		
		function form_view_ctr(){
			var id = $(".atf-form").attr("data-fid");
			var data = {
				action: 'update_view_ctr',
				form_id: id
			};
			$.post(
				ajaxurl, data
				)
			.success(function(){
				console.log("Form Viewed");
			})
			.fail(function(){
				console.log("Error ");
			});
			return;
		}
		// page loads
		function page_load(){
			var id = $(".atf-form").attr("data-fid");
			
			if(typeof(id) == 'undefined'){
				window.setTimeout(page_load, 100); 
			}
			else {
				form_analytics();
			}
		}
		page_load();
		
		function form_analytics(){

			$("#main_form_dob").Zebra_DatePicker();

			$("#main_form_submit").unbind('click').on("click", function(event){
				event.preventDefault();
				var id = $(".atf-form").attr("data-fid");
				var email = $("#main_form_email").val();

				var admin_data = JSON.stringify($(".atf-form").serializeJSON());
				console.log(admin_data);
				// admin_data = JSON.stringify(admin_data);

				var data = {
					action: 'save_lead',
					admin_data: admin_data
				};

				$.post(ajaxurl, data)
				.success(function(){
					setTimeout(display_message, 1000);
				})
				.fail(function(){

				});

				function display_message(){
					var x = document.getElementsByClassName('resultant-form-body');
					x[0].innerHTML = "<h2>Thank you for Submitting!</h2>";
				}
				var data = {
					action: 'update_submission_ctr',
					form_id: id
				};
				$.post(
					ajaxurl, data
					)
				.success(function(){
					console.log("Form Submitted");
				})
				.fail(function(){
					console.log("Error ");
				});

				var mail = {
					action: 'autoresponder',
					email: email,
					form_id: id,
					admin_data: admin_data
				};

				$.post(
					ajaxurl, mail
					)
				.success(function(response){
					console.log("mail sent!!");
				})
				.fail(function(){
					console.log("unable to send mail");
				});

			});

			// Main form submit
			$(document).ready(function(){
				var buttons9Click = Array.prototype.slice.call( document.querySelectorAll( 'button.btn-8g' ) ),
				totalButtons9Click = buttons9Click.length;

				buttons9Click.forEach( function( el, i ) { el.addEventListener( 'click', activate, false ); } );

				function activate() {
					var self = this, activatedClass = 'btn-activated';


					if( classie.has( this, 'btn-8g' ) ) {
					// if it is the first of the two btn-8g then activatedClass = 'btn-success3d';
					// if it is the second then activatedClass = 'btn-error3d'
					// activatedClass = buttons9Click.indexOf( this ) === totalButtons9Click ? 'btn-success3d' : 'btn-error3d';
					activatedClass = 'btn-success3d';
					// activatedClass = 'btn-error3d';
				}

				if( !classie.has( this, activatedClass ) ) {
					classie.add( this, activatedClass );
					setTimeout( function() { classie.remove( self, activatedClass ) }, 1000 );
				}
			}

		});

		}

	});

}(jQuery));